Passer au contenu principal
POST
/
2
/
media
/
metadata
Créer des métadonnées de médias
curl --request POST \
  --url https://api.x.com/2/media/metadata \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "1146654567674912769",
  "metadata": {
    "allow_download_status": {
      "allow_download": true
    },
    "audience_policy": {
      "creator_subscriptions": [],
      "x_subscriptions": []
    },
    "geo_restrictions": {
      "blacklisted_country_codes": [
        "us"
      ],
      "whitelisted_country_codes": [
        "us"
      ]
    },
    "sensitive_media_warning": {
      "adult_content": true,
      "graphic_violence": true,
      "other": false
    }
  }
}
'
{
  "data": {
    "associated_metadata": {
      "allow_download_status": {
        "allow_download": true
      },
      "alt_text": {
        "text": "A dancing cat"
      },
      "audience_policy": {
        "creator_subscriptions": [],
        "x_subscriptions": []
      },
      "content_expiration": {
        "timestamp_sec": 1740787200
      },
      "domain_restrictions": {
        "whitelist": [
          "<string>"
        ]
      },
      "found_media_origin": {
        "id": "u5BzatR15TZ04",
        "provider": "giphy"
      },
      "geo_restrictions": {
        "blacklisted_country_codes": [
          "us"
        ],
        "whitelisted_country_codes": [
          "us"
        ]
      },
      "management_info": {
        "managed": false
      },
      "preview_image": {
        "media_key": {
          "media": "1146654567674912769",
          "media_category": "TweetImage"
        }
      },
      "sensitive_media_warning": {
        "adult_content": true,
        "graphic_violence": true,
        "other": false
      },
      "shared_info": {
        "shared": false
      },
      "sticker_info": {
        "stickers": [
          {
            "aspect_ratio": 1.78,
            "group_annotation_id": 987654321098765,
            "id": "12345",
            "sticker_set_annotation_id": 123456789012345,
            "transform_a": 1,
            "transform_b": 0,
            "transform_c": 0,
            "transform_d": 1,
            "transform_tx": 10.5,
            "transform_ty": -5.2
          }
        ]
      },
      "upload_source": {
        "upload_source": "gallery"
      }
    },
    "id": "1146654567674912769"
  },
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Corps

application/json
id
string
requis

L’identifiant unique de ce média.

Pattern: ^[0-9]{1,19}$
Exemple:

"1146654567674912769"

metadata
object

Réponse

La requête a réussi.

data
object
errors
object[]
Minimum array length: 1

Un objet HTTP Problem Details, tel que défini dans la RFC IETF 7807 (https://tools.ietf.org/html/rfc7807).